# Class TdHandler

java.lang.Object
uk.ac.starlink.ttools.votlint.ElementHandler
uk.ac.starlink.ttools.votlint.TdHandler

public class TdHandler extends ElementHandler
Element handler for TD elements.

Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`TdHandler(boolean emptyMeansNull)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`characters(char[] ch, int start, int length)`
Called when character content is found in the element.
`void`
`endElement()`
Called when the element has ended.

### Methods inherited from class ElementHandler

`configure, error, getAncestry, getAttribute, getContext, getName, getRef, info, registerChildName, setAncestry, setAttributes, startElement, toString, warning`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TdHandler

public TdHandler(boolean emptyMeansNull)
Constructor.

Parameters:
  `emptyMeansNull` - if true, zero-length TD content unconditionally indicates a null value; if false, zero-length TD content will be assessed without special consideration

## Method Details

### characters

public void characters(char[] ch, int start, int length)
Description copied from class: `ElementHandler`
Called when character content is found in the element. The default implementation does nothing.

Overrides:
  `characters` in class `ElementHandler`

### endElement

public void endElement()
Description copied from class: `ElementHandler`
Called when the element has ended. The default implementation does nothing.

Overrides:
  `endElement` in class `ElementHandler`